Skip to main content
`Ctrl`+`K`

# EPSGetBalance

Gets the balancing type used by the `EPS` object, and the associated parameters.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetBalance(EPS eps,EPSBalance *bal,PetscInt *its,PetscReal *cutoff)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- bal - the balancing method

- its - number of iterations of the balancing algorithm

- cutoff - cutoff value

## Note

The user can specify `NULL` for any parameter that is not needed.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetBalance()`, `EPSBalance`

## Level

intermediate

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages